import { AnchorProvider } from '@project-serum/anchor';
import { ConfirmOptions, Keypair } from '@solana/web3.js';
import { SnowflakeSafe } from '../services';
export declare const initSnowflakeSafe: (keypair: Keypair, rpcUrl: string) => SnowflakeSafe;
export declare const initAnchorProvider: (keypair: Keypair, rpcUrl: string, opts?: ConfirmOptions | undefined) => AnchorProvider;
